Once you have started a game you can share a map to all other party members by clicking the Select Map button then selecting the desired map to share and clicking the Done button.

## Default Maps

Owlbear Rodeo comes with a selection of default maps that allow you to quickly get up and running.

![Default Maps](defaultMaps)

Currently the default maps are: Blank, Grass, Sand, Stone, Water and Wood.

## Custom Maps

When the default maps don't suit your needs you can upload a custom map.

![Custom Maps](customMaps)

To do this open the Map Select Screen and then either click the Add Map button in the top right or simply drag an image from your computer into the list of maps.

Once a custom map has been added Owlbear Rodeo will use its machine learning based grid detection to set up your map for you.

`Note: When uploading a custom map keep the file size in mind. Maps are shared between users in Owlbear Rodeo so if a map is taking too long to load for other party members consider changing the Quality option in the advanced map settings.`

## Editing Maps

![Map Editor](mapEditor)

Once a custom map has been added there are a few settings you can edit if you wish.

To get access to these settings you can click the Edit Map button while a map is selected.

The topmost view of the Edit Map Screen is a grid editor. This allows you to visually set up any inset your map's grid may have.

Next there are the Column and Row properties. Columns represent how many grid cells your map has in the horizontal direction while Rows represents the amount of cells in the vertical direction.

Next you can set the name of your map shown in the Map Select Screen.

`Tip: If Owlbear Rodeo's grid detection feature fails to automatically fill the Column and Row properties for you, you can also include them in the file name of the uploaded map. E.g. River [10x15] will create a map named River with 10 columns and 15 rows.`

## Editing Maps (Advanced)

When editing a map there are also a few more advanced settings available.

![Editing Maps Advanced](editingMapsAdvanced)

A brief summary of these settings is listed below.

- Grid Type: Change the type of grid to use for the map. Either Square, Hex Vertical and Hex Horizontal.
- Draw Grid: When enabled Owlbear Rodeo will draw a grid on top of your map, this is useful if a custom map you have uploaded doesn't include a grid.
- Snap to Grid: When enabled tokens, drawing, fog and measurements will attempt to snap to the grid.
- Grid Measurement: How measurements should be calculated.
  - Chessboard (D&D 5e): Distance on a chessboard.
  - Alternating Diagonal (D&D 3.5e): Distance on a chessboard but diagonals alternate between 1 and 2 squares.
  - Euclidean: Distance as the crow flies.
  - Manhattan: Distance while only moving horizontal and vertical.
- Grid Scale: How large is each grid cell.
- Quality: When uploading a map Owlbear Rodeo will automatically generate various quality options, selecting a lower quality may help speed up map sending in resource constrained environments.
- Allow others to edit: These properties control what other party members can edit when viewing your map.
  - Fog: Controls whether others can edit the maps fog (default disabled).
  - Drawings: Controls whether others can add drawings to the map (default enabled).
  - Tokens: Controls whether others can move tokens that they have not placed themselves (default enabled).
  - Notes: Controls whether others can add or move notes (default enabled).

## Reseting, Removing, Organising Maps

With a map selected there are a couple of actions you can perform on them.

`Tip: You can select multiple maps at the same time using the Select Multiple option or using the Ctrl/Cmd or Shift keyboard shortcuts`

![Reseting, Removing and Grouping Maps](resetAndRemovingMaps)

Once a map has been used you can clear away all the tokens, fog and drawings by selecting the map in the Select Map Screen and then clicking the Reset Map button.

To remove a custom map select the map in the Map Select Screen then click the Remove Map button or use the Delete keyboard shortcut.

Maps can also be grouped to allow for better organisation. To do this with you can drag and drop a map onto another map to create a group.

Once a group has been created you can double click that group to open it.

To ungroup a map you can drag that map back out of the group into the main view when the group is open.

Maps can also be reordered by dragging them into the desired position.

## Filtering Maps

![Filtering Maps](filteringMaps)

In the Select Map Screen you can filter the maps that are being shown by entering a term in the Search Bar. This will show maps whose names or groups best match your search term.
