![embed:](https://www.youtube.com/embed/wiUue6IWb2E)

## Major Changes

This release focuses on improving the workflow when using tokens.

### Multi-Select Tool

A new multi-select tool allows you to drag to select multiple notes or tokens at once. You can then move, delete, hide and lock the items selected. You can also copy all the tokens and notes with the copy button or by using a copy shortcut. Once copied you can then paste the selection on the same map, a different map or (if your browser supports it) even a different instance of Owlbear Rodeo running on the same computer.

With this tool we hope to reduce the work in managing large battles with many tokens and also help to reduce the setup work of using a common set of tokens across maps.

### Improved Token Scaling and Rotation

New reworked controls for adjusting size and rotation for tokens and notes.

With a token or note selected you can drag the handles to the left and right to resize or use the handle at the top to rotate.

When resizing you are no longer restricted to predefined increments but it will still snap to your grid to make it easier to match common token sizes.

With this design we are also able to remove the old cap on token sizes, so feel free to import large tokens directly onto a map without worrying about adjusting the token settings beforehand.

We think this design strikes a good balance of adding extra control while still maintaining the design language that makes Owlbear Rodeo approachable.

### Attachment Tokens

A new category of tokens called Attachments have been added.

When a token is marked as an attachment it can only be interacted with by clicking on a small anchor at the bottom of the token. This means that attachments can be placed on top of other tokens without interrupting any movements of the token underneath.

As well as this any attachment on a character when it is moved is automatically moved along with the character.

Finally when dragging an attachment a circle will appear in it's center showing which token it will be attached to.

We see this category being useful for things like a paladin's aura in D&D but the feature was designed to be flexible so we're excited to see what other use cases the community comes up with.

### Global Undo/Redo

The undo/redo commands found in the fog and drawing tool have been removed in favour of a global undo queue.

With this all changes made to a game are able to be undone. This includes drawings and fog but also all changes to tokens and notes as well.

With the introduction of the multi-select tool this was needed to allow you to undo if you accidentally delete all your tokens on your map.

## Minor Changes

- Converted the project to Typescript.
- Added a new shortcut for disabling grid snapping temporarily by holding down Ctrl/Cmd.
- Added a new shortcut to duplicate tokens / notes by dragging while holding down the Alt key.
- Added a new option when editing tokens on a map to change the token category.
- Prop tokens are now displayed under drawings and notes.
- Added a new option for drawings to draw shapes with outlines only.
- Added a confirmation dialog for erasing all drawings.
- Deleting, rotating and resizing a mount token will now update all tokens attached to it.
- Fixed an issue where a player could still use a tool when changing to a new map with that tool disabled.
- Fixed an issue with emoji being blurred when zooming in on a map.

[Reddit](https://www.reddit.com/r/OwlbearRodeo/comments/p7arme/beta_v1100_released_multiselect_improved_token/)
[Twitter](https://twitter.com/OwlbearRodeo/status/1428273142716243972)
[Patreon](https://www.patreon.com/posts/beta-v1-10-0-55080787)

---

Aug 19 2021
