![embed:](https://www.youtube.com/embed/vtNpj-449B8)

## Major Changes

### Reworked Fog Tools

The fog tool now has more options for supporting different interaction paradigms and allowing for greater accuracy when creating fog shapes.

- The new fog polygon tool now allows you to click on the map to easily place down the perimeter for a fog shape. Each point will snap to the grid allowing a quick method for creating straight shapes that align with the map. This replaces the old grid snap option.
- When drawing fog shapes there is now the option to set the shape to subtract instead of add. This can be used to carve out existing fog shapes to create more complicated geometry or for creating holes in the fog to show players only portions of an area.

### New Measure Tool

A new measure tool has been added to allow you to easily find out how far areas of the map are from one another. This tool has three options for calculating distance.

- Grid Distance (default) or Chebyshev distance, this is the distance on a grid and is the metric used in D&D.
- Line Distance or Euclidean distance is the actual distance between the two points of the measure tool.
- City Block Distance or Manhattan distance is the distance when only travelling in the horizontal or vertical directions.

### Keyboard Shortcut Support

When interacting with the map we now support keyboard shortcuts for quickly switching between tools. A list of supported shortcuts is listed below.

**Tools**

- Pan (W) (The space bar can also be held to quickly toggle to the pan tool when in another tool.)
- Fog (F)
- Draw (D)
- Measure (M)

**Fog**

- Polygon (P)
- Brush (B)
- Toggle (T)
- Remove (R)
- Add / Subtract (The Alt key can be held to toggle to the other setting e.g. while drawing with the add brush tool, holding Alt will change to the subtract option.)
- Edge Snapping (S)
- Undo (Ctrl / Cmd + Z)
- Redo (Ctrl / Cmd + Shift + Z)

**Drawing**

- Brush (B)
- Paint (P)
- Line (L)
- Rectangle (R)
- Circle (C)
- Triangle (T)
- Erase (E)
- Toggle Blending (B)
- Undo (Ctrl / Cmd + Z)
- Redo (Ctrl / Cmd + Shift + Z)

**Measure**

- Grid (G)
- Line (L)
- City Block (C)

## Minor Changes

- The brush tool, shape tool and erase tool have been combined into one drawing tool. Having these tools combined should hopefully make the drawing experience a little simpler.
- Added a new line tool that will allow you to draw straight lines.
- Fixed performance regression for drawing tools that was introduced in v1.3.0.
- Fixed performance issues when editing map and token settings.
- Added a notification for when a user can connect to the server but not to other party members.
- Fixed a bug that led to a token getting stuck to the cursor when moving.
- Added a new loading indicator showing the progress of map and tokens when downloading them from other party members.
- Fixed a bug that stopped the undo and redo buttons for fog editing being synced to other party members.

[Reddit](https://www.reddit.com/r/OwlbearRodeo/comments/hhbezp/beta_v140_release_new_fog_tools_and_shortcuts/)
[Twitter](https://twitter.com/OwlbearRodeo/status/1277169108958629888?s=20)

---

Jun 29 2020
