![embed:](https://www.youtube.com/embed/MWbfbN3Brhw)

## Major Changes

### Sticky Notes

Easily add text to a map with the new Notes tool.

- Select the Notes tool and click and drag to place a note on a map.
- Add text, change colours or if you're the GM lock/hide them.

### Network Rewrite

This update brings a complete rewrite of the network layer used to connect players together.
We now use a hybrid server/peer model compared to the fully peer-peer connection model used previously.
This has a few benefits:

- Connections should be more reliable as the server reduces the load on the players internet connection.
- Better support for larger player groups.
- Lessens the chance that the game state gets out of sync between players.

### Fog Workflow Changes

In this update the fog tool has been changed to hopefully help work better with fog cutting workflows.

- Add and subtract fog options have been replaced with a single fog cut option.
- Fog cutting works similarly to the previous fog subtraction however the cut shape is no longer automatically deleted. This allows you to draw a large fog shape then cut out sections but still allows you to toggle them back on if needed.
- New rectangle tool for drawing fog shapes.
- Fog has been heavily optimised to limit performance issues.
- Fog now has a new look with a more paper-like black colour and a drop shadow to visually separate it from the map.

## Minor Changes

- New edit flag for maps to disable note editing.
- Sliders now have a label above them when dragged which show the current value of the slider.
- Token sizes no longer need to be integers and can now be decimal numbers.
- Token resizing on map is now handled in 0.5 increments and allows going down to 0.5x size.
- Added decimal support to ruler scale.
- Added precision support to ruler scale. For example a scale of 5ft will limit the measurements to integers whereas a scale of 5.0ft will limit to decimal measurements with one decimal place.
- New alternating diagonals measurement option for the ruler. This works by alternating diagonal distances between 1x and 2x allowing D&D 3.5 edition style measurements. (Thanks to /u/pspeter3 on Reddit for the suggestion and example code)
- Changed loading indicator for maps and tokens to be more visible.
- Changed local storage to use the persistent storage API. This means that on FireFox the hidden 2GB storage limit will no longer be an issue.
- Added an indicator to how much storage is being used in the settings screen for browsers that support it.
- Added multi-threading to initial map and token loading which should help remove lag with large amounts of data.
- Changed line height of body text to be more readable.
- Added a getting started modal to the home screen that should help with basic usage of the site.
- Added saving to use password option for starting a game.
- Added support for dragging and dropping images into the map or token screens that originate from a website. This is useful for dragging tokens from the Avrae Discord bot into the token select screen.
- Added support for a larger layout for map/token selection and editing for bigger displays.
- Changed map automatic quality options to better represent map details.
- Updated automatic grid detection model to be more accurate and better handle lower resolution images.
- Updated FAQ to actually have frequently asked questions.
- Fixed crash when sometimes interacting with the page while it is loading.
- Fixed crash when sometimes zooming out too far with a custom token on the map.
- Fixed a bug where the drawing erase tool could still be used outside of the drawing tool.
- Fixed a bug causing the colour of the glass and gemstone dice to be wrong.
- Fixed a bug that would cause custom tokens to not load until a refresh.

[Reddit](https://www.reddit.com/r/OwlbearRodeo/comments/l15n7n/beta_v170_release_notes_fog_enhancements/)
[Twitter](https://twitter.com/OwlbearRodeo/status/1351819654113554434)
[Patreon](https://www.patreon.com/posts/v1-7-0-released-46437122)

---

Jan 20 2021
