![embed:](https://www.youtube.com/embed/MBy0VLsesL0)

## Major Changes

### Hex Grid Support

It's been a little while but hex grids are finally here.
When you import a map you can now select the Hex Vertical and Hex Horizontal Grid Types. Hex Vertical orients the hex grid with the pointy end up while Hex Horizontal orients with the point end to the right.

To Support hex grids a few things have changed.

- The measurement options which used to be in the ruler tools settings are now under a map's settings below the grid type.
- Square and hex grid types now offer different measurement options.
- Measurements are now presented in increments of your grid scale.
- A new grid renderer was added that is optimized for larger grid sizes.
- All grid snapping now supports hex grids.
- Tokens can now snap to the center of grid cells.
- Tokens now rotate in 15° increments.

### Database Import/Export

This release brings the ability to import and export your data in Owlbear Rodeo.

With the new Import/Export button in the Settings screen you can make a full backup of your data or select individual maps and tokens to then import on any other computer / browser.

This also works from PC to mobile so if you wish you can do your prep on a PC and transfer that data over to play on mobile.

### Coloured Pointers

Players can now choose the colour of their pointer thanks to a new pointer renderer which allows pointers to dynamically blend into the background.

### Fog Usability Improvements

Last release we made some changes to how fog cutting worked, while this added more flexibility to the tool it made it harder to use. In this release we focused on increasing the usability of the tool.

- When using the rectangle or polygon fog tool guidelines are now shown to indicate where your grid snapping point is.
- Fog snapping is now aware of other fog shapes and will allow you to match the width or height of shapes close by.
- The edge snapping option has been replaced with a new single layer / multilayer fog option. This performs the same goal as the edge snapping but removes the need for you to be precise when creating fog shapes. When in single layer mode (default) drawing a fog shape will automatically remove any overlap between your new shape and any existing shape on the map. This also works with fog cutting and will prevent your fog from cutting multiple times in the one area. This helps fix those issues where you could have a build up of overlapping fog shapes that were hard to toggle on and off. In multilayer mode your fog will behave as before and allow the layering of multiple fog shapes.
- While editing fog now has a transparent white border that helps indicate where the borders of your fog shapes are.
- The diagonal pattern of hidden fog shapes is now blended more with the background to create greater contrast between visible shapes while also allowing you to better see your maps.

### New Text Only Mode for Notes

Notes can now be set to a text only mode that removes the background and allows you to change the colour of the text.

A GM can toggle this setting by clicking on a note once it is on the map and clicking the Text Mode button.

## Minor Changes

- Data changes are now synced across tabs of the same browser. This means that if you need to quickly add fog to a map without your players seeing you can simply open up a new window, create a new game and prepare your map. Then when you're done simply head back to your first window and your new map will be ready to share with your players.
- Token label sizes is now dynamic and will shrink to fit more text
- The initial loading of maps and tokens has been optimised to be quicker and a few bugs have been fixed that prevented loading of large databases. To accomplish this a database conversion was necessary so the first time you load v1.8.0 you may experience a longer load time but after this conversion load time should be improved.
- Drawing and fog tools now use a more optimised storage format. This means that there should be less bugs with syncing this data. It does now mean that undo history for fog editing and drawing is now only available until you refresh your page.
- A new Grid Snapping Sensitivity option was added to the Settings screen that allows you to edit how much grid snapping occurs. 0 = no snapping and 1 = full grid snapping.
- Notes are now shown above drawings to prevent the case where you can't move your note because a drawing was on top of it.
- Notes text is now left aligned and text scales down further to allow for more text to be shown per note.
- Added an information dialog that is shown when joining a game that has timed out.
- Added a new zoom shortcut with the + and - keys.
- Updated how to page with general site settings.
- Moved shortcuts on how to page into its own section with all shortcuts listed.
- Fixed a bug that would cause you to join a game multiple times when using the back function in a browser.
- Fixed a performance issue with zooming in on large maps.
- Fixed a crash caused by pressing the delete key when in the map editor.
- Fixed a regression that caused an unsupported browser message to appear on browsers that were previously supported.
- Fixed a bug where high resolution maps would fail to import on iOS.
- Fixed a bug that would cause the site to crash if WebGL was disabled.

[Reddit](https://www.reddit.com/r/OwlbearRodeo/comments/lqd1p4/beta_v180_released_hex_support_importexport_and/)
[Twitter](https://twitter.com/owlbearrodeo/status/1364124692940877827?s=21)
[Patreon](https://www.patreon.com/posts/47899653)

---

Feb 23 2021
