## Minor Changes

This release focuses on improving performance for map zooming and asset loading.

- Custom tokens now share more data between each instance of a token saving on memory.
- Zooming is more efficient by being better at choosing which elements need to be re-rendered.
- Default image assets have been further compressed to save on network bandwidth.
- Dice loading is now quicker and more efficient.
- Browser compatibility has been expanded by supporting older browsers that previously didn't work with moving maps or interacting with dice.
- Sending larger maps to players will no longer hitch the UI while the map is cached.
- Added a file size limit of 50MB to maps and tokens to prevent accidental browser crashes due to large file uploads.
- Importing maps and tokens will now give you a warning when trying to import images that are over 20MB in size.
- Using the fog brush tool has been optimised and is now less likely to result in small fog shapes on intersections.
- Fixed issue of not being able to draw a fog shape inside a ring of fog.
- Fixed a bug that could cause maps to be corrupted when an item was deleted at the same time it was edited.
- Added hover text for tokens in the token sidebar.
- Fixed an issue that would cause a double zoom when using a mouse wheel.
- Tool shortcuts now work with caps lock enabled.
- Added more messages for database issues or when a map owner can't be found.
- The dice select screen now better matches the other asset selectors.
- Fixed typo in the FAQ and added more detail for map loading issues.
- Fixed an issue with note text size not updating for players when changing between hidden and visible.
- Added a new accessibility option to control the opacity of fog while editing it.
- Added a new accessibility option to disable fog guides.
- You can now clear a map from being shared by clicking the select map button with no maps highlighted.
- Shared dice rolls now only show icons for the dice that have been rolled in the expanded view mode.
- Holding down the Shift key while zooming will now activate a precision zoom mode, allowing mouse users to more precisely zoom maps.
- The game reconnection message now has a more compact UI.
- Added notification for application updates.

[Reddit](https://www.reddit.com/r/OwlbearRodeo/comments/mvcuud/beta_v181_released_performance_enhancements/)
[Twitter](https://twitter.com/OwlbearRodeo/status/1384818459695976453)
[Patreon](https://www.patreon.com/posts/beta-v1-8-1-50293929)

---

April 21 2021
