![embed:](https://www.youtube.com/embed/hFUo8LzHI6s)

## Major Changes

This release focuses on improving the workflow for managing assets as well as increasing performance of fog and tokens. This release also brings a lot of under the hood changes to how data is structured, stored and saved.

### Drag and Drop Asset Management

All assets (tokens and maps) now offer a lot more flexibility for organisation with a new drag and drop interface for rearrangement, grouping and adding to a game.

To access these features with mouse and keyboard simply drag any asset you have selected or with touch devices tap and hold to pickup the assets. You can then drag to the edge of another asset to re-order the element, drag over another asset to create a new group or drag out of the select screen to add that asset to the game.

With this feature we now also support the ability to drag and drop images from your computer directly into a game without the need to first add the asset into the appropriate asset import screen. To use this you can simply drag an image file into a game. Two new import boxes will then be shown where you can drag the images into the top box to import them as a map or the bottom box to import them as a token. When importing a single map this way the game will automatically switch to show this map in the shared scene. When importing tokens this way they will automatically be placed onto a shared map if one is shown.

### Improved Group Support

Grouped assets now have a more structured interface with a separate group view as well as full support for replicating token groups in the token sidebar.

Once a group has been created you can open it by double clicking the group in the select screen or by single clicking in the token sidebar.

Groups also support the new drag and drop interface which also includes dragging a token group into your game to add all tokens to a map at once. This is also supported with groups in the token sidebar.

### Token Previews

The generic token missing or loading image has been replaced by per-token loading previews.
These manifest as a transparent black shape that represents a simplified version of the token that is loading.

This helps when using large tokens such as an initiative tracker which will no longer take over the screen as it loads.
This also helps greatly to optimise our token rendering. Specifically these simplified shapes are now used for our collision detection for detecting whether you have selected a token. Moving to this method means we no longer need to render a token multiple times to work out whether you are interacting with it. In our tests token rendering is now up to 70% faster when using over 100 tokens on screen. This change should also help fix token selection issues in browsers like Brave that modifier Canvas data.

A downside to this method however is token selection will now be less accurate for transparent tokens with holes such as spell effects. We plan to keep an eye on this however to see whether this has adverse effects on real world usage.

### New Rendering Technique for Fog Editing

While in edit mode we now render fog much more efficiently. In testing we have seen just shy of a 70% decrease in rendering time when using 50+ fog shapes. While this will help with the usability of the tool on more complex maps, this should also fix issues with browsers like Firefox and Safari which would stop updating token movement if fog rendering was taking too long.

## Minor Changes

- The progress loading bar will now pool consecutive assets together to avoid showing each asset separately.
- All default maps and tokens are now fully customisable. This includes adjusting settings, import/export and even deleting.
- Removed grid from default map images to allow changing grid size and type.
- Modals have a new transition animation to match the new group UI.
- Cursors now better represent drag and drop actions.
- Tokens in the select token screen now show an indicator for whether they are hidden in the sidebar.
- Added a new default label setting to tokens.
- Fixed a bug with the fog brush tool not working properly on maps with smaller grid sizes.
- Added better file type handling for image import screens with more informative error notifications.
- Fixed a bug with vehicle tokens not picking up tokens hidden outside of view.
- Added a notification for when using the cut fog tool on places with no fog.
- Added the ability for the notes text input area to automatically resize to show more lines of text.
- Updated the light theme to be more readable in some cases.
- Added the ability to specify token sizes in input files by using width x height syntax.
- Updated measure tool to snap to grid cell centers to prevent issues with measuring diagonals.
- Updated measure tool euclidean option to use pixel coordinates to be more precise.
- Fixed a bug with note and label kerning on Firefox for Windows.

[Reddit](https://www.reddit.com/r/OwlbearRodeo/comments/o6wviv/beta_v190_released_drag_and_drop_organisation/)
[Twitter](https://twitter.com/OwlbearRodeo/status/1407982707947102210?s=20)
[Patreon](https://www.patreon.com/posts/beta-v1-9-0-52869240)

---

Jun 24 2021
